Skip to main content
POST
/
api
/
v2
/
integration-configurations
/
keys
/
{integrationKey}
Create integration configuration
curl --request POST \
  --url https://app.launchdarkly.com/api/v2/integration-configurations/keys/{integrationKey} \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "Example integration configuration",
  "configValues": {
    "optional": "an optional property",
    "required": "the required property",
    "url": "https://example.com"
  },
  "enabled": true,
  "tags": [
    "ops"
  ],
  "capabilityConfig": "{\"auditLogEventsHook\": \"policy\": []\"}"
}
'
{
  "_links": {},
  "_id": "<string>",
  "name": "Example Datadog integration",
  "_createdAt": 123,
  "_integrationKey": "datadog",
  "tags": [
    "testing"
  ],
  "enabled": true,
  "_access": {
    "denied": [
      {
        "action": "<string>",
        "reason": {
          "effect": "allow",
          "resources": [
            "proj/*:env/*;qa_*:/flag/*"
          ],
          "notResources": [
            "<string>"
          ],
          "actions": [
            "*"
          ],
          "notActions": [
            "<string>"
          ],
          "role_name": "<string>"
        }
      }
    ],
    "allowed": [
      {
        "action": "<string>",
        "reason": {
          "effect": "allow",
          "resources": [
            "proj/*:env/*;qa_*:/flag/*"
          ],
          "notResources": [
            "<string>"
          ],
          "actions": [
            "*"
          ],
          "notActions": [
            "<string>"
          ],
          "role_name": "<string>"
        }
      }
    ]
  },
  "configValues": {},
  "capabilityConfig": "{\"auditLogEventsHook\": \"statements\": []\"}",
  "snowflakeSetupScript": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://launchdarkly-preview.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Path Parameters

integrationKey
string<string>
required

The integration key

Body

application/json
name
string
required

The name of the integration configuration

Example:

"Example integration configuration"

configValues
object
required

The unique set of fields required to configure the integration. Refer to the formVariables field in the corresponding manifest.json at https://github.com/launchdarkly/integration-framework/tree/main/integrations for a full list of fields for the integration you wish to configure.

Example:
{
"optional": "an optional property",
"required": "the required property",
"url": "https://example.com"
}
enabled
boolean

Whether the integration configuration is enabled. If omitted, defaults to true

Example:

true

tags
string[]

Tags for the integration

Example:
["ops"]
capabilityConfig
object

The capability configuration for the integration

Example:

"{\"auditLogEventsHook\": \"policy\": []\"}"

Response

Integration Configuration response

The location and content type of related resources

_id
string
required

The unique identifier for this integration configuration

name
string
required

A human-friendly name for the integration

Example:

"Example Datadog integration"

_createdAt
integer<int64>

The time the integration configuration was created

_integrationKey
string

The type of integration

Example:

"datadog"

tags
string[]

An array of tags for this integration

Example:
["testing"]
enabled
boolean

Whether the integration is currently active

_access
object

Details on the allowed and denied actions for this integration configuration

configValues
object

Details on configuration for an integration of this type. Refer to the formVariables field in the corresponding manifest.json for a full list of fields for each integration.

capabilityConfig
object

The capability configuration for the integration

Example:

"{\"auditLogEventsHook\": \"statements\": []\"}"

snowflakeSetupScript
string

Consolidated SQL script for Snowflake Warehouse Native Experimentation setup. Present only for setup endpoint responses.